/* 
TEST2E.C 
Turbo C++ 2.0:
    tcc test2e.c send2e.c do2e.asm have2e.asm   
Microsoft C 6.0:
    cl -qc test2e.c send2e.c -MAmx do2e.asm have2e.asm
    
SORRY, THE CL COMMAND-LINE IN PRINTED VERSION WAS WRONG: SHOULD BE
SEND2E.C (AS ABOVE), NOT SEND2E.ASM!
*/

#include <stdlib.h>
#include <stdio.h>
#include <string.h>

main()
{
    char buf[80];
    for (;;)
    {
        fputs("$ ", stdout);
        gets(buf);
        // differs from printed version: accept EXIT too!
        if ((strcmp(buf, "bye") == 0 || strcmp(buf, "BYE") == 0) ||
            (strcmp(buf, "exit") == 0 || strcmp(buf, "EXIT") == 0))
            break;
        Send2E(buf);
    }
    puts("Bye");
}
